Name:		SmallEiffel
Summary:	The GNU Eiffel Compiler and Libraries
Version:	1.23.1
Release:	6mdk

Source:		ftp://ftp.loria.fr/pub/loria/genielog/SmallEiffel/se.tar.bz2
Patch:		SmallEiffel-1.23.1-mdkpatch1.bz2

Copyright:	GPL
URL:		http://www.loria.fr/SmallEiffel/
Group:		Development/Other
BuildRoot:	%_tmppath/%version-%release-root

%description
SmallEiffel is a small, portable implementation of the Eiffel OO programming 
language.  Eiffel cleanly implements all the important concepts of OO 
programming, including: multiple inheritance, genericity, polymorphism,
and encapsulation.  Eiffels unique feature is Design By Contract,
which increases the reusability and reliability of program modules.

This package corresponds to the official version -0.77 of SmallEiffel.

%prep

%setup -q -n SmallEiffel
%patch -p1 

%build
export SmallEiffel=$RPM_BUILD_DIR/SmallEiffel/sys/system.se

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
rm -f $RPM_BUILD_DIR/SmallEiffel/install.exe

cp -r $RPM_BUILD_DIR/SmallEiffel $RPM_BUILD_ROOT%{_libdir}

#rebuild a correct loadpath.UNIX (better solutions?)
cat > $RPM_BUILD_ROOT%_libdir/SmallEiffel/sys/loadpath.UNIX << EOF
./
%_libdir/SmallEiffel/lib_std/
%_libdir/SmallEiffel/lib_iterator/
%_libdir/SmallEiffel/lib_random/
%_libdir/SmallEiffel/lib_number/
%_libdir/SmallEiffel/lib_show/
EOF


%post
#put links in /usr/bin
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/compile  $RPM_BUILD_ROOT%{_bindir}/compile
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/clean  $RPM_BUILD_ROOT%{_bindir}/clean
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/compile_to_c  $RPM_BUILD_ROOT%{_bindir}/compile_to_c
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/compile_to_jvm  $RPM_BUILD_ROOT%{_bindir}/compile_to_jvm
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/finder  $RPM_BUILD_ROOT%{_bindir}/finder
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/pretty  $RPM_BUILD_ROOT%{_bindir}/pretty
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/print_jvm_class  $RPM_BUILD_ROOT%{_bindir}/print_jvm_class
ln -s $RPM_BUILD_ROOT%_libdir/SmallEiffel/bin/short  $RPM_BUILD_ROOT%{_bindir}/short

%postun
# remove links from %{_bindir}
rm -f %{_bindir}/compile
rm -f %{_bindir}/clean
rm -f %{_bindir}/compile_to_c
rm -f %{_bindir}/compile_to_jvm
rm -f %{_bindir}/finder
rm -f %{_bindir}/pretty
rm -f %{_bindir}/print_jvm_class
rm -f %{_bindir}/short

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc READ_ME COPYING GNU_LICENSE man misc
%_libdir/SmallEiffel/bin
%_libdir/SmallEiffel/contrib
%_libdir/SmallEiffel/lib_iterator
%_libdir/SmallEiffel/lib_number
%_libdir/SmallEiffel/lib_random
%_libdir/SmallEiffel/lib_se
%_libdir/SmallEiffel/lib_show
%_libdir/SmallEiffel/lib_std
%_libdir/SmallEiffel/short
%_libdir/SmallEiffel/sys
%_libdir/SmallEiffel/man


%changelog
* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.23.1-6mdk
- Use %_tmppath for BuildRoot
- Macros
- Use optimizations

* Wed Aug 30 2000 - Enzo Maggi <enzo@mandrakesoft.com> 1.23.1-5mdk
- minor fixes in the spec

* Wed Aug 30 2000 - Enzo Maggi <enzo@mandrakesoft.com> 1.23.1-4mdk
- Repackaged for the new file system structure

* Mon Apr 10 2000 - Enzo Maggi <enzo@mandrakesoft.com> 1.23.1-3mdk
- Updated for SmallEiffel -0.77
- patched the contrib/edb scripts that required '/usr/local/bin/perl'
- corrected Group

* Sat Jun 5 1999 - James Graves <ansible@xnet.com>
- Updated for SmallEiffel -0.78.

* Fri May 19 1999 - James Graves <ansible@xnet.com>
- Updated for SmallEiffel -0.78b6.

* Fri Apr 30 1999 - James Graves <ansible@xnet.com>
- Updated for SmallEiffel -0.78b5.

* Fri Jul 10 1998 - James Graves <ansible@xnet.com>
- Updated for SmallEiffel -0.80.

* Fri Apr 10 1998 - James Graves <ansible@xnet.com>
- Updated for SmallEiffel -0.81.  Simplified installation script.

* Fri Jan 16 1998 - James Graves <ansible@xnet.com>
- Initial RPM, built against glibc.
